Bug 772125 - (CVE-2011-3922) CVE-2011-3922 qt: Stack-based buffer overflow in embedded harfbuzz code
CVE-2011-3922 qt: Stack-based buffer overflow in embedded harfbuzz code
Status: CLOSED ERRATA
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
medium Severity medium
: ---
: ---
Assigned To: Red Hat Product Security
impact=moderate,public=20120106,repor...
: Security
Depends On: 772128 805433
Blocks: 784298
  Show dependency treegraph
 
Reported: 2012-01-05 23:55 EST by Huzaifa S. Sidhpurwala
Modified: 2016-03-04 06:38 EST (History)
9 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-06-20 10:50:03 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Huzaifa S. Sidhpurwala 2012-01-05 23:55:19 EST
A stack-based buffer overflow was found in the way harfbuzz rendered certain Tibetian font glyphs. This flaw affects qt4, which embeds the vulnerable version of harfbuzz. A remote attacker could use this flaw to crash an application (capable of loading remote web content) linked against qt.

Reference:
http://googlechromereleases.blogspot.com/2012/01/stable-channel-update.html
http://code.google.com/p/chromium/issues/detail?id=108006

Patch:
http://src.chromium.org/viewvc/chrome/branches/963/src/third_party/harfbuzz/src/harfbuzz-myanmar.c?r1=116201&r2=116200&pathrev=116201
Comment 1 Huzaifa S. Sidhpurwala 2012-01-06 00:00:48 EST
Statement:

This issue does not affect the version of qt as shipped with Red Hat Enterprise Linux 4 and 5. This issue does not affect the version of qt3 as shipped with Red Hat Enterprise Linux 6. This issue does not affect the version of qt4 as shipped with Red Hat Enterprise Linux 5. This issue affects the version of qt as shipped with Red Hat Enterprise Linux 6. The Red Hat Security Response Team has rated this issue as having moderate security impact. A future update may address this issue.

This issue does not affect the version of pango as shipped with Red Hat Enterprise Linux 4, 5 and 6.
Comment 2 Huzaifa S. Sidhpurwala 2012-01-06 00:02:09 EST
Created qt tracking bugs for this issue

Affects: fedora-all [bug 772128]
Comment 5 errata-xmlrpc 2012-06-20 03:21:16 EDT
This issue has been addressed in following products:

  Red Hat Enterprise Linux 6

Via RHSA-2012:0880 https://rhn.redhat.com/errata/RHSA-2012-0880.html

Note You need to log in before you can comment on or make changes to this bug.